%define base_name	kde-icons
%define theme_name	lush
%define version		0.1.0
%define name		%{base_name}-%{theme_name}
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lush icons for KDE Desktop
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{theme_name}-%{version}.tar.bz2
URL:		http://kde-look.org/content/show.php?content=5483
Requires:	kdebase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	kdemoreartwork-%{theme_name}
Obsoletes:	kdemoreartwork-%{theme_name}

%description
Lush Icon set for KDE Desktop

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}

%build
find -type f -exec chmod 644 {} \;

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}
cp -r 16x16/ 22x22/ 32x32/ 48x48/ 64x64/ 128x128/ index.desktop $RPM_BUILD_ROOT/%{_datadir}/icons/%{theme_name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc author copying readme 
%{_iconsdir}/%{theme_name}-%{version}/*

%changelog
* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.0-3mdv2007.0
- Rebuild for new extension
- use mkrel

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 0.1.0-2mdk
- make rpmlint happy with perms
- new naming scheme

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.1.0-1mdk
- initial package

